## gmp-ecm 6.3

=== debian/changelog ===
gmp-ecm (6.3-5ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Remove build-depend on gcc-4.3.
    - Dropped changes (merged with Debian):
      + Explicitly configure with --disable-sse2.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Thu, 23 Dec 2010 08:51:11 +0300

gmp-ecm (6.3-5) unstable; urgency=low

  * Disable SSE2 on i386, patch by Matthias Klose (closes: #607686).

 -- Laurent Fousse <laurent@komite.net>  Tue, 21 Dec 2010 11:27:40 +0100

gmp-ecm (6.3-4ubuntu2) natty; urgency=low

  * Explicitly configure with --disable-sse2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Dec 2010 20:01:36 +0100

gmp-ecm (6.3-4ubuntu1) natty; urgency=low

  * Remove build-depend on gcc-4.3 as it shall soon be removed from the
    Ubuntu repository. Moreover, Ubuntu no longer supports the SPARC arch
    for which this change was made in Debian.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Tue, 30 Nov 2010 14:45:25 +0300

gmp-ecm (6.3-4) unstable; urgency=low

  * Use gcc-4.3 on sparc as 4.4 causes build failure (closes: #593193).
  * Explicitly disable assert (default=yes was upstream's mistake).

 -- Laurent Fousse <laurent@komite.net>  Wed, 01 Sep 2010 11:21:25 +0200

gmp-ecm (6.3-3) unstable; urgency=low

  * Add build depends on m4 for {kfreebsd-,}amd64 (closes: #593021).

 -- Laurent Fousse <laurent@komite.net>  Mon, 16 Aug 2010 11:02:54 +0200

gmp-ecm (6.3-2) unstable; urgency=low

  * Disable assembly on mips.

 -- Laurent Fousse <laurent@komite.net>  Sat, 14 Aug 2010 10:13:15 +0200

gmp-ecm (6.3-1) unstable; urgency=low

  * New upstream version.
  * Switch to dpkg-source 3.0 (quilt) format.
  * DH_COMPAT upgraded to 7.
  * Link libecm0 against libgmp.
  * Upgraded Standards-Version to 3.9.1:
    + support parallel build
  * Conflict with ecm (closes: #580398).

 -- Laurent Fousse <laurent@komite.net>  Fri, 13 Aug 2010 17:15:20 +0200

gmp-ecm (6.2-1) unstable; urgency=low

  * New Upstream Version
  * Fix build failure caused by longlong.h on some architecture,
    patch from upstream r1298 (closes: #483161).

 -- Laurent Fousse <laurent@komite.net>  Wed, 28 May 2008 10:39:04 +0200

gmp-ecm (6.2~rc2-1) unstable; urgency=low

  * New Upstream release candidate.
  * New package libecm0 for dynamic lib (closes: #474083).

 -- Laurent Fousse <laurent@komite.net>  Thu, 15 May 2008 13:17:14 +0200

gmp-ecm (6.1.3-1) unstable; urgency=low

  * New upstream version.
  * Ship the static library in the new libecm-dev package (closes: #464959).
  * Upgraded Standards-Version to 3.7.3, no change needed.
  * Add Homepage field in control.

 -- Laurent Fousse <laurent@komite.net>  Tue, 12 Feb 2008 10:14:02 +0100

gmp-ecm (6.1.2-1) unstable; urgency=low

  * New Upstream Version (closes: #434026).

 -- Laurent Fousse <laurent@komite.net>  Sat, 21 Jul 2007 11:39:43 +0200

gmp-ecm (6.1.1-4) unstable; urgency=low

  * Disable assembly on hppa as well (closes: #379006).

 -- Laurent Fousse <laurent@komite.net>  Mon, 31 Jul 2006 12:29:51 +0200

gmp-ecm (6.1.1-3) unstable; urgency=low

  * The build failure on s390 is of a more complicated nature,
    disable assembly completely until someone fixes it.

 -- Laurent Fousse <laurent@komite.net>  Thu, 20 Jul 2006 13:58:34 +0200

gmp-ecm (6.1.1-2) unstable; urgency=low

  * Define types before inclusion of longlong.h, fixes build
    failure on s390.

 -- Laurent Fousse <laurent@komite.net>  Thu, 20 Jul 2006 10:31:17 +0200

gmp-ecm (6.1.1-1) unstable; urgency=low

  * New upstream release
  * Change debian/copyright to point to new download page.
  * Upgraded Standards-Version to 3.7.2, no change needed.

 -- Laurent Fousse <laurent@komite.net>  Wed, 19 Jul 2006 21:50:56 +0200

gmp-ecm (6.0.1-2) unstable; urgency=low

  * Updated Standards-Version to 3.6.2 (no change needed).
  * Rebuild needed because of GMP C++ transition (closes: #326196).

 -- Laurent Fousse <laurent@komite.net>  Sun,  4 Sep 2005 10:40:16 +0200

gmp-ecm (6.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Laurent Fousse <laurent@komite.net>  Fri,  1 Apr 2005 15:02:22 +0200

gmp-ecm (6.0-2) unstable; urgency=low

  * Applied upstream patches 04 through 08, fixes misc bugs including
    potential segfault.

 -- Laurent Fousse <laurent@komite.net>  Fri, 11 Mar 2005 10:37:00 +0100

gmp-ecm (6.0-1) unstable; urgency=low

  * New upstream release, repackaged since upstream switched to autotools.
  * Applied upstream patch 02, fixes linking problem.
  * Applied upstream patch 03, fixes segfault.
  * Backported test.ecm from CVS, makes tests a lot faster.
  * Add manpage link gmp-ecm(1).
  * Changed to Standards-Version 3.6.1 (no change needed).

 -- Laurent Fousse <laurent@komite.net>  Mon, 28 Feb 2005 16:02:28 +0100

gmp-ecm (5.0.3-3) unstable; urgency=low

  * Fix typo in manpage, thanks Bill Allombert (closes: #254255).

 -- Laurent Fousse <laurent@komite.net>  Thu, 24 Jun 2004 15:18:15 +0200

gmp-ecm (5.0.3-2) unstable; urgency=low

  * Fixed debian/rules, "test" target no longer called twice.
  * Updated to newer Cunningham numbers input list.

 -- Laurent Fousse <laurent@komite.net>  Mon, 26 Jan 2004 13:33:03 +0100

gmp-ecm (5.0.3-1) unstable; urgency=low

  * New upstream release.
  * "test" target added in debian/rules and called at build time.
  * License for two files is LGPL, not GPL.
  * Watch file removed as it is not applicable anymore.

 -- Laurent Fousse <laurent@komite.net>  Sun,  9 Nov 2003 13:10:49 +0100

gmp-ecm (5.0.1-3) unstable; urgency=low

  * Added upstream patch that checks mallocs (closes: #197444).
  * Updated Standards-Version to 3.6.0.

 -- Laurent Fousse <laurent@komite.net>  Sun, 14 Sep 2003 17:26:43 +0200

gmp-ecm (5.0.1-2) unstable; urgency=low

  * Updated manpage. Closes: #197443

 -- Laurent Fousse <laurent@komite.net>  Mon, 16 Jun 2003 08:07:29 +0000

gmp-ecm (5.0.1-1) unstable; urgency=low

  * Initial Release. Closes: #180191

 -- Laurent Fousse <laurent@komite.net>  Sun, 25 May 2003 09:54:44 +0000
