## gmp-ecm 6.4

=== debian/changelog ===
gmp-ecm (6.4-1) unstable; urgency=low

  * New upstream release.
  * Drop most patches, already applied upstream.

 -- Laurent Fousse <lfousse@debian.org>  Wed, 29 Feb 2012 19:51:51 -0800

gmp-ecm (6.3-11) unstable; urgency=low

  * Fix SSE2-related FTBFS, thanks Michael Terry for the patch
    (closes: #650545).

 -- Laurent Fousse <lfousse@debian.org>  Sat, 03 Dec 2011 14:12:50 +0100

gmp-ecm (6.3-10) unstable; urgency=low

  * Use the same compiler on all archs.

 -- Laurent Fousse <lfousse@debian.org>  Wed, 28 Sep 2011 08:35:34 +0200

gmp-ecm (6.3-9) unstable; urgency=low

  * Don't build-depend on non-existent packages.

 -- Laurent Fousse <lfousse@debian.org>  Tue, 27 Sep 2011 20:22:38 +0200

gmp-ecm (6.3-8) unstable; urgency=low

  * Properly convert to quilt format (closes: #643134).
  * Upgrade dependency on debhelper.

 -- Laurent Fousse <lfousse@debian.org>  Tue, 27 Sep 2011 00:01:06 +0200

gmp-ecm (6.3-7) unstable; urgency=low

  * Fix dependencies on libgmp-dev (closes: #617207).

 -- Laurent Fousse <lfousse@debian.org>  Tue, 08 Mar 2011 16:16:45 +0100

gmp-ecm (6.3-6) unstable; urgency=low

  * Update build-depends to libgmp-dev (closes: #617207).
  * Modify my email address.

 -- Laurent Fousse <lfousse@debian.org>  Mon, 07 Mar 2011 15:11:45 +0100
