=== debian/changelog ===
gmp-ecm (6.4.1~rc3-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <lfousse@debian.org>  Wed, 14 Mar 2012 19:06:43 -0700

gmp-ecm (6.4.1~rc2e-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <lfousse@debian.org>  Tue, 13 Mar 2012 20:18:21 -0700

gmp-ecm (6.4.1~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <lfousse@debian.org>  Sun, 11 Mar 2012 11:24:28 -0700
