## gmp-ecm 6.4.2

=== build.vc10/bench_mulredc/Makefile ===
--- 
+++ 
@@ -108,10 +108,10 @@
 PACKAGE = ecm
 PACKAGE_BUGREPORT = ecm-discuss@lists.gforge.inria.fr
 PACKAGE_NAME = ecm
-PACKAGE_STRING = ecm 6.4.1-rc3
+PACKAGE_STRING = ecm 6.4.2
 PACKAGE_TARNAME = ecm
 PACKAGE_URL = 
-PACKAGE_VERSION = 6.4.1-rc3
+PACKAGE_VERSION = 6.4.2
 PATH_SEPARATOR = :
 POW_LIB = 
 RANLIB = ranlib
@@ -120,7 +120,7 @@
 SHELL = /bin/bash
 STRIP = strip
 VALGRIND = valgrind -q --error-exitcode=1
-VERSION = 6.4.1-rc3
+VERSION = 6.4.2
 XSLDIR = /usr/share/sgml/docbook/xsl-stylesheets-1.68.1-1.1
 XSLTPROC = 
 abs_builddir = /users/caramel/zimmerma/svn/ecm/build.vc10/bench_mulredc
