=== debian/changelog ===
gmp-ecm (6.4.2-2) unstable; urgency=low

  * Only break and replace the Error Code Modeler package from Debian
    6.0 (squeeze) that contains its own ecm command, instead of
    conflicting with all versions (patch by Jonathan Nieder)
    Closes: #690276.

 -- Laurent Fousse <lfousse@debian.org>  Mon, 31 Dec 2012 16:28:39 -0800

gmp-ecm (6.4.2-1) unstable; urgency=low

  * New upstream release:
    + Licenses are now GPL3+ or LGPL3+ depending on the files.

 -- Laurent Fousse <lfousse@debian.org>  Sat, 24 Mar 2012 21:03:04 -0700
