=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: math
 Priority: optional
 Homepage: http://ecm.gforge.inria.fr/
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laurent Fousse <laurent@komite.net>
-Build-Depends: debhelper (>= 7.0.0) , libgmp3-dev, m4 [amd64 kfreebsd-amd64]
+Maintainer: Laurent Fousse <lfousse@debian.org>
+Build-Depends: debhelper (>= 7.0.50) , libgmp10-dev, m4 [amd64 kfreebsd-amd64]
 Standards-Version: 3.9.1
 
 Package: gmp-ecm
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: ecm
+Breaks: ecm (<< 1.00-2)
+Replaces: ecm (<< 1.00-2)
 Description: Factor integers using the Elliptic Curve Method
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.
@@ -54,7 +54,7 @@
 Package: libecm-dev
 Architecture: any
 Section: libdevel
-Depends: libgmp3-dev (>= 4.2.dfsg-1), libecm0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgmp10-dev, libecm0 (= ${binary:Version}), ${misc:Depends}
 Description: Factor integers using the Elliptic Curve Method (library)
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.
