=== debian/watch ===
version=3
https://gforge.inria.fr/frs/?group_id=135   https://gforge.inria.fr/frs/download.php/.*/ecm-(.+).tar.gz
