## gmp-ecm 6.4.4+ds

=== debian/changelog ===
gmp-ecm (6.4.4+ds-5) unstable; urgency=medium

  * FTBFS bug fix release (Closes: #806619):
  * Debianization:
    - arch/indep build scheme, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Nov 2015 21:31:59 +0000

gmp-ecm (6.4.4+ds-4) unstable; urgency=medium

  * bug fix release (Closes: #804408):
    - neutralize valgrind check for autopkgtest d/t/make-longcheck .
  * Debianization:
    - debian/control, Vcs-Browser field correction;
    - debian/libecm0.lintian-overrides, typo correction.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Nov 2015 19:13:55 +0000

gmp-ecm (6.4.4+ds-3) unstable; urgency=medium

  * RC bug fix release:
    - RC bug fix (Closes: #793012), faulty assembly code on mips[el] arch
      --- thanks to Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>
      for providing the patch;
    - RC bug fix (Closes: #792850), linking misbehaviour when upgrading from
      testing to unstable -- thanks to Andreas Beckmann <anbe@debian.org> for
      noticing the issue.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 21 Oct 2015 04:05:14 +0000

gmp-ecm (6.4.4+ds-2) unstable; urgency=medium

  * RC bug fix release (Closes: #792549), stabilize libdev transition.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 16 Jul 2015 16:07:37 +0000

gmp-ecm (6.4.4+ds-1) unstable; urgency=medium

  * New maintainer (Closes: #771880).
  * Debianization:
    - debian/copyright:
      - in DEP-5 format, bump;
      - Files-Excluded field, introduce;
      - refresh;
    - debian/control:
      - debhelper build-dep to >= 9, bump;
      - Standards Version 3.9.6, bump;
      - Build-Depends field, refresh;
      - Multi-Arch support, achieve;
      - Vcs-* headers, refresh;
    - debian/watch, refresh;
    - debian/rules:
      - full dh integration, refresh;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it wrt Files-Excluded;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - debian/patches/:
      - patches in DEP-3 format;
      - autotoolization:
        - configure.ac, refresh;
        - master Makefile.am, mark the shared library as not requiring
          executable stack;
      - examples, aka ecmfactor.c, system wide #include;
    - debian/tests/:
      - in DEP-8 format, initiate;
      - simple build test based on examples, introduce;
      - heavy test based on the upstream longcheck ($ make long check),
        introduce;
    - debian/adhoc/examples/:
      - illustrative Makefile, provide;
    - gpg-signature check support, neutralize.
  * This upstream release closes LP: #1294929.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 30 Jun 2015 11:49:52 +0000
