=== debian/control ===
--- 
+++ 
@@ -1,16 +1,25 @@
 Source: gmp-ecm
 Section: math
 Priority: optional
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jerome Benoit <calculus@rezozer.net>
+Build-Depends:
+ debhelper (>= 9),
+ autotools-dev, gnulib, m4 [amd64 kfreebsd-amd64], dh-autoreconf, libtool,
+ libgmp-dev (>= 2:6.0)
+Build-Depends-Indep:
+Standards-Version: 3.9.6
 Homepage: http://ecm.gforge.inria.fr/
-Maintainer: Laurent Fousse <lfousse@debian.org>
-Build-Depends: debhelper (>= 7.0.50) , libgmp10-dev, m4 [amd64 kfreebsd-amd64], dh-autoreconf
-Standards-Version: 3.9.1
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/gmp-ecm.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/gmp-ecm.git
 
 Package: gmp-ecm
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: ecm (<< 1.00-2)
 Replaces: ecm (<< 1.00-2)
+Multi-Arch: foreign
 Description: Factor integers using the Elliptic Curve Method
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.
@@ -27,12 +36,19 @@
  .
  See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
  information about ecmnet.
+ .
+ This package provides the command line utility.
 
 Package: libecm0
+Provides: libecm
+Section: libs
 Architecture: any
-Section: libs
+Conflicts: libecm
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Factor integers using the Elliptic Curve Method (library)
+Recommends: gmp-ecm (=${binary:Version})
+Multi-Arch: same
+Description: factor integers using the Elliptic Curve Method -- lib
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.
  .
@@ -51,11 +67,18 @@
  .
  This package provides the shared library.
 
-Package: libecm-dev
+Package: libecm0-dev
+Provides: libecm-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
-Depends: libgmp10-dev, libecm0 (= ${binary:Version}), ${misc:Depends}
-Description: Factor integers using the Elliptic Curve Method (library)
+Replaces: libecm-dev (<= 6.4.4-2)
+Conflicts: libecm-dev (<= 6.4.4-2)
+#Conflicts: libecm-dev
+Depends:
+ libecm0 (= ${binary:Version}), libecm0-dev-common (= ${source:Version}),
+ libgmp-dev, ${misc:Depends}
+Multi-Arch: same
+Description: factor integers using the Elliptic Curve Method -- libdev
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.
  .
@@ -72,4 +95,70 @@
  See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
  information about ecmnet.
  .
- This package provides the static library.
+ This package provides the static library and symbolic links needed
+ for development.
+
+Package: libecm0-dev-common
+Provides: libecm-dev-common
+Section: libdevel
+Architecture: all
+Replaces: libecm-dev (<= 6.4.4-2)
+Conflicts: libecm-dev (<= 6.4.4-2), libecm-dev-common
+Depends: ${misc:Depends}
+Recommends: libecm0-dev (=${binary:Version})
+Multi-Arch: foreign
+Description: factor integers using the Elliptic Curve Method -- header
+ gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
+ for integer factorization.
+ .
+ The original purpose of the ECMNET project was to make Richard Brent's
+ prediction true, i.e. to find a factor of 50 digits or more by
+ ECM. This goal was attained on September 14, 1998, when Conrad Curry
+ found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
+ program. The new goal of ECMNET is now to find other large factors by
+ ecm, mainly by contributing to the Cunningham project, most likely the
+ longest, ongoing computational project in history according to Bob
+ Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
+ found in December 1999 a prime factor of 54 digits using GMP-ECM.
+ .
+ See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
+ information about ecmnet.
+ .
+ This package provides the header needed by developers.
+
+Package: libecm0-dbg
+Provides: libecm-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Conflicts: libecm-dbg
+Depends: libecm0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: factor integers using the Elliptic Curve Method -- debug
+ gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
+ for integer factorization.
+ .
+ The original purpose of the ECMNET project was to make Richard Brent's
+ prediction true, i.e. to find a factor of 50 digits or more by
+ ECM. This goal was attained on September 14, 1998, when Conrad Curry
+ found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
+ program. The new goal of ECMNET is now to find other large factors by
+ ecm, mainly by contributing to the Cunningham project, most likely the
+ longest, ongoing computational project in history according to Bob
+ Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
+ found in December 1999 a prime factor of 54 digits using GMP-ECM.
+ .
+ See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
+ information about ecmnet.
+ .
+ This package provides the debugging symbols.
+
+Package: libecm-dev
+Section: oldlibs
+Priority: extra
+Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libecm0-dev (>= ${source:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
