=== debian/rules ===
#!/usr/bin/make -f

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --builddirectory=_build --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-maintainer-mode

override_dh_auto_build-indep:
	true

override_dh_auto_test-indep:
	true

override_dh_auto_install-indep:
	$(MAKE) -C _build install-data-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_installdocs:
	dh_installdocs -plibecm0-dbg --link-doc=libecm0
	dh_installdocs -plibecm0-dev --link-doc=libecm0-dev-common
	dh_installdocs --remaining-packages

override_dh_compress-indep:
	dh_compress -Xexamples

override_dh_strip:
	dh_strip --dbg-package=libecm0-dbg

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose
