=== debian/tests/control ===
Tests: build-examples
Depends: libecm0-dev, build-essential

Tests: make-longcheck
Depends: gmp-ecm, make, valgrind
