=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,repacksuffix=+ds,uversionmangle=s/-(rc\d*)$/~$1/ \
https://gforge.inria.fr/frs/?group_id=135 \
	(?:|.*/)ecm(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|tar\.bz2|tar\.gz)
