## gmp-ecm 7.0+ds

=== debian/changelog ===
gmp-ecm (7.0+ds-1) unstable; urgency=medium

  * New major upstream release.
  * Debianization:
    - debian/control:
      - vcs-* fields, secure;
      - Standards-Version, dump to 3.9.7;
      - debug symbol package, drop off in favour of automatic generation;
      - SO name, increment;
    - debian/copyright, update;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
      - debug symbol package, drop off (see above);
      - refresh;
    - debian/watch, refresh;
    - debian/adhoc/examples/Makefile, refresh;
    - debian/tests:
      - d/t/make-longcheck, harden and update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Mar 2016 16:02:29 +0000
