=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  autotools-dev, gnulib, m4 [amd64 kfreebsd-amd64], dh-autoreconf, libtool,
  libgmp-dev (>= 2:6.0)
 Build-Depends-Indep:
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://ecm.gforge.inria.fr/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gmp-ecm.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/gmp-ecm.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gmp-ecm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gmp-ecm.git
 
 Package: gmp-ecm
 Architecture: any
@@ -39,7 +39,7 @@
  .
  This package provides the command line utility.
 
-Package: libecm0
+Package: libecm1
 Provides: libecm
 Section: libs
 Architecture: any
@@ -67,7 +67,7 @@
  .
  This package provides the shared library.
 
-Package: libecm0-dev
+Package: libecm1-dev
 Provides: libecm-dev
 Section: libdevel
 Architecture: any
@@ -75,7 +75,7 @@
 Conflicts: libecm-dev (<= 6.4.4-2)
 #Conflicts: libecm-dev
 Depends:
- libecm0 (= ${binary:Version}), libecm0-dev-common (= ${source:Version}),
+ libecm1 (= ${binary:Version}), libecm1-dev-common (= ${source:Version}),
  libgmp-dev, ${misc:Depends}
 Multi-Arch: same
 Description: factor integers using the Elliptic Curve Method -- libdev
@@ -98,14 +98,14 @@
  This package provides the static library and symbolic links needed
  for development.
 
-Package: libecm0-dev-common
+Package: libecm1-dev-common
 Provides: libecm-dev-common
 Section: libdevel
 Architecture: all
 Replaces: libecm-dev (<= 6.4.4-2)
 Conflicts: libecm-dev (<= 6.4.4-2), libecm-dev-common
 Depends: ${misc:Depends}
-Recommends: libecm0-dev (=${binary:Version})
+Recommends: libecm1-dev (=${binary:Version})
 Multi-Arch: foreign
 Description: factor integers using the Elliptic Curve Method -- header
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
@@ -126,39 +126,12 @@
  .
  This package provides the header needed by developers.
 
-Package: libecm0-dbg
-Provides: libecm-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Conflicts: libecm-dbg
-Depends: libecm0 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: factor integers using the Elliptic Curve Method -- debug
- gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
- for integer factorization.
- .
- The original purpose of the ECMNET project was to make Richard Brent's
- prediction true, i.e. to find a factor of 50 digits or more by
- ECM. This goal was attained on September 14, 1998, when Conrad Curry
- found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
- program. The new goal of ECMNET is now to find other large factors by
- ecm, mainly by contributing to the Cunningham project, most likely the
- longest, ongoing computational project in history according to Bob
- Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
- found in December 1999 a prime factor of 54 digits using GMP-ECM.
- .
- See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
- information about ecmnet.
- .
- This package provides the debugging symbols.
-
 Package: libecm-dev
 Section: oldlibs
 Priority: extra
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libecm0-dev (>= ${source:Version}), ${misc:Depends}
+Depends: libecm1-dev (>= ${source:Version}), ${misc:Depends}
 Multi-Arch: foreign
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
